package testing.weld;

import java.util.HashSet;
import java.util.Set;
import testing.weld.beans.DummyResourceBean;
import testing.weld.beans.HealthResourceBean;

public class Application extends javax.ws.rs.core.Application {

    private final Set<Class<?>> classes;

    public Application() {
        classes = new HashSet<>();

        classes.add(HealthResourceBean.class);
        classes.add(DummyResourceBean.class);
    }

    @Override
    public Set<Class<?>> getClasses() {
        return classes;
    }

}
