package testing.weld.beans;

import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.context.Initialized;
import javax.enterprise.event.Observes;
import javax.servlet.ServletContext;
import javax.validation.executable.ValidateOnExecution;
import javax.ws.rs.core.Response;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import testing.weld.forms.RequestForm;

@ValidateOnExecution
@ApplicationScoped
public class DummyResourceBean implements DummyResource {
    private static final Logger LOG = LoggerFactory.getLogger(DummyResourceBean.class);

    void start(@Observes @Initialized(ApplicationScoped.class) ServletContext ctx) {
        LOG.info("Started");
    }

    @Override
    public Response action(String type, String name, boolean flag, RequestForm request) {
        return Response.ok().build();
    }

    @Override
    public Response status(String id) {
        return Response.ok().build();
    }

}
